<?php
/*-------------------------------------
| SECTION HEADING 
|-------------------------------------*/
function listio_heading($atts, $content = null)
{
   extract( shortcode_atts( array(
	'sec_title' => '',
  ), $atts ) ); 
	if (!empty($sec_title)) {	  
		$content .= '
			<div class="section-head">
				<div class="row text-center">
					<div class="col-md-12">
						<h3>'.$sec_title.'</h3>
					</div>
				</div>
			</div>';
	}			
  return $content;  
}
add_shortcode("listio_heading", "listio_heading");
			
/*-------------------------------------
| RECNT PROPERTIES 
|-------------------------------------*/	
function listio_recent_properties($atts, $content = null)
{
	extract( shortcode_atts( array(
	'post_count'		=> '',
	'cat_taxonomy'		=> '',
	'type_taxonomy'		=> '',
	'number'			=> 3,	
	), $atts ) );

	if(isset($attrs['category']) && is_numeric($attrs['category'])) {
		$category = $attrs['category'];
	} else {
		$category = '0';
	}

	if(isset($attrs['type']) && is_numeric($attrs['type'])) {
		$type = $attrs['type'];
	} else {
		$type = '0';
	}

	$args = array(
		'numberposts'      => $post_count,
		'post_type'        => 'property',
		'order'            => 'DESC',
		'suppress_filters' => false,
		'post_status'      => 'publish');

	if($category != '0' && $type != '0') {
		$args['tax_query'] = array(
			'relation' => 'AND',
			array(
				'taxonomy' => 'property_category',
				'field'    => 'term_id',
				'terms'    => $category,
			),
			array(
				'taxonomy' => 'property_type_category',
				'field'    => 'term_id',
				'terms'    => $type,
			),
		);
	} else if($category != '0') {
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'property_category',
				'field'    => 'term_id',
				'terms'    => $category,
			),
		);
	} else if($type != '0') {
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'property_type_category',
				'field'    => 'term_id',
				'terms'    => $type,
			),
		);
	}

	$posts = wp_get_recent_posts($args);	  
	foreach($posts as $post) : 
		global $listio_settings;
		$gallery = get_post_meta($post["ID"], 'property_gallery', true);
		$images = explode("~~~", $gallery);
		$address                 = get_post_meta($post["ID"], 'property_address', true);
		$city                    = get_post_meta($post["ID"], 'property_city', true);
		$state                   = get_post_meta($post["ID"], 'property_state', true);
		$neighborhood            = get_post_meta($post["ID"], 'property_neighborhood', true);
		$zip                     = get_post_meta($post["ID"], 'property_zip', true);
		$country                 = get_post_meta($post["ID"], 'property_country', true);
		$type                    = wp_get_post_terms($post["ID"], 'property_type_category');
		//var_dump($type);
		$bedrooms                = get_post_meta($post["ID"], 'property_bedrooms', true);
		$bathrooms               = get_post_meta($post["ID"], 'property_bathrooms', true);
		$area                    = get_post_meta($post["ID"], 'property_area', true);
		$unit                    = isset($listio_settings['measurement_unit']) ? $listio_settings['measurement_unit'] : '';
		$featured = get_post_meta($post["ID"], 'property_featured', true);
		$locale = isset($listio_general_settings['listio_locale_field']) ? $listio_general_settings['listio_locale_field'] : '';
		$decimals = isset($listio_general_settings['listio_decimals_field']) ? $listio_general_settings['listio_decimals_field'] : '';		
		$price = get_post_meta($post["ID"], 'property_price', true);
		setlocale(LC_MONETARY, $locale);
		if(is_numeric($price)) {
			if($decimals == 1) {
				$price = money_format('%!i', $price);
			} else {
				$price = money_format('%!.0i', $price);
			}
		} else {
			$price_label = '';
			$currency = '';
		}

		// aq_resize( $url, $width, $height, $crop, $single, $upscale );
		$img_resize = aq_resize($images[1], 600, 400, true);

		$thumb = '';
		if($img_resize !== false) {
			$thumb = $img_resize;
		} else {
			$thumb = $images[1];
		}	  
		$content .= '<div class="col-md-3 col-sm-6">';
		$content .= '<div class="single-property">';
		$content .= '<div class="sp-top">';					
		$content .= '<img src="' . esc_url($thumb) . '" alt="' .esc_attr($post["post_title"]). '" />';
		if($featured == 1) {
			$content .= '<div class="single-featured sp-badge"> '. __('Featured', 'listio').'</div>';
		}
		if($type) {
			$type_name = $type[0]->name;
		} else {
			$type_name = '';
		} 					
		$content .= '<span class="pp-badge for-sale left-absulate">'.esc_html($type_name).'</span>';									
		$content .= '<a class="sp-top-over" href="'.esc_url(get_permalink($post["ID"])).'">';
		$content .= '</a>';
		$content .= '</div>';
		$content .= '<div class="sp-bottom">';
		$content .= '<div class="row">';
		$content .= '<div class="col-sm-12">';
		$content .= '<h5><a href="'.esc_url(get_permalink($post["ID"])).'">'.esc_attr($post["post_title"]).'</a></h5>';
		$content .= '</div>';
		$content .= '</div>';
		$content .= '<p>';
					if($address != '') {
						$content .= esc_html($address) . ', ';
					}
					if($neighborhood != '') {
						$content .=  esc_html($neighborhood) . ', ';
					}
					if($city != '') {
						$content .= esc_html($city) . ', ';
					}
					if($state != '') {
						$content .=  esc_html($state) . ', ';
					}
					if($zip != '') {
						$content .=  esc_html($zip) . ', ';
					}
					if($country != '') {
						$content .=  esc_html($country);
					}
		$content .= '</p>';
		$content .= '<div class="clearfix">';
		$content .= '<h4>';
		$currency = isset($listio_settings['currency_symbol']) ? $listio_settings['currency_symbol'] : '';
		$currency_pos = isset($listio_settings['currency_position']) ? $listio_settings['currency_position'] : '';	
		$price_label             = get_post_meta($post["ID"], 'property_price_label', true);		
				if($currency_pos == 'before') {
					$content .= esc_html($currency) . ' ' . esc_html($price) . '<small> / ' . esc_html($price_label).'</small>';
				} else {
					$content .= esc_html($price) . ' ' . esc_html($currency) . '<small> / ' . esc_html($price_label).'</small>';
				}
		$content .= '</h4>';
		$content .= '<ul class="property-meta">';
						if($bedrooms !== '') { 
						$content .= '<li>'.esc_html($bedrooms).' '.esc_html('beds', 'listio').'</li>';
						}
						if($bathrooms !== '') { 
						$content .= '<li>'.esc_html($bathrooms).' '.esc_html('bath', 'listio').'</li>';
						}
						if($area !== '') { 
						$content .= '<li>'.esc_html($area).' '.esc_html($unit).'</li>';
						}
		$content .= '</ul>';
		$content .= '</div>';
		$content .= '</div>';
		$content .= '</div>';	
		$content .= '</div>';	
	
    endforeach;  
	wp_reset_postdata();
	wp_reset_query();
	return $content;	
}

add_shortcode("recent_properties", "listio_recent_properties");




/*-------------------------------------
| PROPERTY SEARCH
|-------------------------------------*/
function property_search($atts, $content = null)
{
   extract( shortcode_atts( array(
	'sear_city' => '',
	'sear_country' => '',
	'sear_keyword' => '',
	'sear_id' => '',
	'sear_min' => '',
	'sear_max' => '',
	'sear_bed' => '',
	'sear_bath' => '',
	'sear_cat' => '',
	'sear_type' => '',
  ), $atts ) ); 
  
	global $listio_settings;
	$search_submit = listio_get_search_link();
	$cat_taxonomies = array( 
		'property_category'
	);
	$cat_args = array(
		'orderby'           => 'name', 
		'order'             => 'ASC',
		'hide_empty'        => false
	); 
	$cat_terms = get_terms($cat_taxonomies, $cat_args);
	$type_taxonomies = array( 
		'property_type_category'
	);
	$type_args = array(
		'orderby'           => 'name', 
		'order'             => 'ASC',
		'hide_empty'        => false
	); 
	$type_terms             = get_terms($type_taxonomies, $type_args); 
	$searchfields = '';
    $content .= '<div class="search-property-area">';
    $content .= '<form class="property-search-form" id="searchPropertyForm" role="search" method="get" action="'.esc_url($search_submit).'">';
    $content .= ' <input type="hidden" name="sort" id="sort" value="newest" />';
	$content .= '<div class="row">';
			if($sear_city != '' && $sear_city == true) {
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('City', 'listio').'</span>
						<input type="text" class="auto" id="search_city" name="search_city" placeholder="'.esc_html('City', 'listio').'" autocomplete="off">
						<input type="hidden" name="search_lat" id="search_lat" />
						<input type="hidden" name="search_lng" id="search_lng" />
					</div>
				</div>';
			}
			if($sear_country != '' && $sear_country == true) {			
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('Country', 'listio').'</span>';
						$country_default = isset($listio_settings['country_field']) ? $listio_settings['country_field'] : '';
						$content .= listio_search_country_list($country_default);
						
	$content .= '</div>';
			}
	$content .= '</div>';
			if($sear_keyword != '' && $sear_keyword == true) {
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('Keywords', 'listio').'</span>
						<input type="text" id="search_keywords" name="search_keywords" placeholder="'.esc_html('Keywords', 'listio').'">
					</div>';
	$content .= '</div>';
			}
			if($sear_id != '' && $sear_id == true) {		
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('Property ID', 'listio').'</span>
						 <input type="text" id="search_id" name="search_id" placeholder="'.esc_html('Property ID', 'listio').'">
					</div>';
	$content .= '</div>';
			}
			if($sear_min != '' && $sear_min == true) {
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('Min price', 'listio').'</span>
						<input class="price" type="text" name="search_min_price" id="search_min_price" placeholder="'.esc_html('Min price', 'listio').'">
					</div>';
	$content .= '</div>';
			}
			if($sear_max != '' && $sear_max == true) {
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('Max price', 'listio').'</span>
						<input class="price" type="text" name="search_max_price" id="search_max_price" placeholder="'.esc_html('Max price', 'listio').'">
					</div>';
	$content .= '</div>';
			}
			if($sear_bed != '' && $sear_bed == true) {
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('Bedrooms', 'listio').'</span>
						<select name="search_bedrooms" id="search_bedrooms">
							<option value="0">Any</option>
							<option value="1">1</option>
							<option value="2">2</option>
							<option value="3">3</option>
							<option value="3">4</option>
							<option value="3">5</option>
						</select>
					</div>';
	$content .= '</div>';
			}
			if($sear_bath != '' && $sear_bath == true) {
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('Bathrooms', 'listio').'</span>
						<select name="search_bathrooms" id="search_bathrooms">
							<option value="0">Any</option>
							<option value="1">1</option>
							<option value="2">2</option>
							<option value="3">3</option>
							<option value="3">4</option>
							<option value="3">5</option>									
						</select>
					</div>';
	$content .= '</div>';
			}
			if($sear_cat != '' && $sear_cat == true) {
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('Property Category', 'listio').'</span>
						<select name="search_category" id="search_category">
							<option value="0">'.esc_html('Category', 'listio').'</option>';
							foreach($cat_terms as $cat_term) {
							$content .= '<option value="'.esc_attr($cat_term->term_id).'">'.esc_html($cat_term->name).'</option>';
							 }	
			$content .= '</select>
					</div>';
	$content .= '</div>';
				
			}
			if($sear_type != '' && $sear_type == true) {
	$content .= '<div class="col-md-3 col-sm-6">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<span class="sfe-label">'.esc_html('Type', 'listio').'</span>
						
						<select name="search_type" id="search_type">
							<option value="0">'.esc_html('Type', 'listio').'</option>';
							foreach($type_terms as $type_term) {
							$content .= '<option value="'.esc_attr($type_term->term_id).'">'.esc_html($type_term->name).'</option>';
							}							
			$content .= '</select>								
														
					</div>';
	$content .= '</div>';
			}
	$content .= '<div class="col-md-3 col-sm-12">
					<!-- .single-form-element -->
					<div class="single-form-element">
						<input type="submit" id="searchPropertySubmit" class="button" value="'.esc_attr('Search', 'listio').'">						
					</div>
				</div>				
			</div><!--/.row -->
        </form>	';
	$content .= '</div>';	
  return $content;  
}
add_shortcode("property_search", "property_search");


/*-------------------------------------
| FEATURED PROPERTIES 
|-------------------------------------*/	
function listio_featured_properties($atts, $content = null)
{
	extract( shortcode_atts( array(
	'post_count'		=> '',
	'cat_taxonomy'		=> '',
	'type_taxonomy'		=> '',
	'number'			=> 3,	
	), $atts ) );

	if(isset($attrs['category']) && is_numeric($attrs['category'])) {
		$category = $attrs['category'];
	} else {
		$category = '0';
	}

	if(isset($attrs['type']) && is_numeric($attrs['type'])) {
		$type = $attrs['type'];
	} else {
		$type = '0';
	}
		
	$args = array(
		'numberposts'      => $post_count,
		'post_type'        => 'property',
		'order'            => 'DESC',
		'meta_key'         => 'property_featured',
		'meta_value'       => '1',
		'suppress_filters' => false,
		'post_status'      => 'publish');

	if($category != '0' && $type != '0') {
		$args['tax_query'] = array(
			'relation' => 'AND',
			array(
				'taxonomy' => 'property_category',
				'field'    => 'term_id',
				'terms'    => $category,
			),
			array(
				'taxonomy' => 'property_type_category',
				'field'    => 'term_id',
				'terms'    => $type,
			),
		);
	} else if($category != '0') {
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'property_category',
				'field'    => 'term_id',
				'terms'    => $category,
			),
		);
	} else if($type != '0') {
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'property_type_category',
				'field'    => 'term_id',
				'terms'    => $type,
			),
		);
	}

	$posts = wp_get_recent_posts($args);	  
	foreach($posts as $post) : 
		global $listio_settings;
		$gallery = get_post_meta($post["ID"], 'property_gallery', true);
		$images = explode("~~~", $gallery);
		$address                 = get_post_meta($post["ID"], 'property_address', true);
		$city                    = get_post_meta($post["ID"], 'property_city', true);
		$state                   = get_post_meta($post["ID"], 'property_state', true);
		$neighborhood            = get_post_meta($post["ID"], 'property_neighborhood', true);
		$zip                     = get_post_meta($post["ID"], 'property_zip', true);
		$country                 = get_post_meta($post["ID"], 'property_country', true);
		$type                    = wp_get_post_terms($post["ID"], 'property_type_category');
		$bedrooms                = get_post_meta($post["ID"], 'property_bedrooms', true);
		$bathrooms               = get_post_meta($post["ID"], 'property_bathrooms', true);
		$area                    = get_post_meta($post["ID"], 'property_area', true);
		$unit                    = isset($listio_settings['measurement_unit']) ? $listio_settings['measurement_unit'] : '';
		$featured = get_post_meta($post["ID"], 'property_featured', true);
		$locale = isset($listio_settings['locale_field']) ? $listio_settings['locale_field'] : '';
		$decimals  = isset($listio_settings['decimals_field']) ? $listio_settings['decimals_field'] : '';		
		$price = get_post_meta($post["ID"], 'property_price', true);
		setlocale(LC_MONETARY, $locale);
		if(is_numeric($price)) {
			if($decimals == 1) {
				$price = money_format('%!i', $price);
			} else {
				$price = money_format('%!.0i', $price);
			}
		} else {
			$price_label = '';
			$currency = '';
		}

		// aq_resize( $url, $width, $height, $crop, $single, $upscale );
		$img_resize = aq_resize($images[1], 600, 400, true);

		$thumb = '';
		if($img_resize !== false) {
			$thumb = $img_resize;
		} else {
			$thumb = $images[1];
		}		
		$content .= '<div class="col-md-3 col-sm-6">';
		$content .= '<div class="single-property">';
		$content .= '<div class="sp-top">';					
		$content .= '<img src="' . esc_url($thumb) . '" alt="' .esc_attr($post["post_title"]). '" />';
		if($featured == 1) {
			$content .= '<div class="single-featured sp-badge"> '. __('Featured', 'listio').'</div>';
		}
		if($type) {
			$type_name = $type[0]->name;
		} else {
			$type_name = '';
		} 					
		$content .= '<span class="pp-badge for-sale left-absulate">'.esc_html($type_name).'</span>';									
		$content .= '<a class="sp-top-over" href="'.esc_url(get_permalink($post["ID"])).'">';
		$content .= '</a>';
		$content .= '</div>';
		$content .= '<div class="sp-bottom">';
		$content .= '<div class="row">';
		$content .= '<div class="col-sm-12">';
		$content .= '<h5><a href="'.esc_url(get_permalink($post["ID"])).'">'.esc_attr($post["post_title"]).'</a></h5>';
		$content .= '</div>';
		$content .= '</div>';
		$content .= '<p>';
					if($address != '') {
						$content .= esc_html($address) . ', ';
					}
					if($neighborhood != '') {
						$content .=  esc_html($neighborhood) . ', ';
					}
					if($city != '') {
						$content .= esc_html($city) . ', ';
					}

					if($state != '') {
						$content .=  esc_html($state) . ', ';
					}
					if($zip != '') {
						$content .=  esc_html($zip) . ', ';
					}
					if($country != '') {
						$content .=  esc_html($country);
					}
		$content .= '</p>';
		$content .= '<div class="clearfix">';
		$content .= '<h4>';
		$currency = isset($listio_settings['currency_symbol']) ? $listio_settings['currency_symbol'] : '';
		$currency_pos = isset($listio_settings['currency_position']) ? $listio_settings['currency_position'] : '';	
		$price_label             = get_post_meta($post["ID"], 'property_price_label', true);		
				if($currency_pos == 'before') {
					$content .= esc_html($currency) . ' ' . esc_html($price) . '<small> / ' . esc_html($price_label).'</small>';
				} else {
					$content .= esc_html($price) . ' ' . esc_html($currency) . '<small> / ' . esc_html($price_label).'</small>';
				}
		$content .= '</h4>';
		$content .= '<ul class="property-meta">';
						if($bedrooms !== '') { 
						$content .= '<li>'.esc_html($bedrooms).' '.esc_html('beds', 'listio').'</li>';
						}
						if($bathrooms !== '') { 
						$content .= '<li>'.esc_html($bathrooms).' '.esc_html('bath', 'listio').'</li>';
						}
						if($area !== '') { 
						$content .= '<li>'.esc_html($area).' '.esc_html($unit).'</li>';
						}
		$content .= '</ul>';
		$content .= '</div>';
		$content .= '</div>';
		$content .= '</div>';	
		$content .= '</div>';	
    endforeach;  
	wp_reset_postdata();
	wp_reset_query();
	return $content;
}

add_shortcode("featured_properties", "listio_featured_properties");


/*-------------------------------------
| TESTIMONIAL 
|-------------------------------------*/
function listio_testimonials($atts, $content = null)
{
	extract( shortcode_atts( array(
		'post_count' => '',
	), $atts ) ); 

	$args = array(
			'posts_per_page'   => -1,
			'post_type'        => 'testimonials',
			'orderby'          => 'post_date',
			'order'            => 'DESC',
			'suppress_filters' => false,
			'post_status'      => 'publish' );
	$posts = get_posts($args);	
	
	$count = 1;
	$content .= '<div class="testimonials">';
	$content .= '<ul class="client-testimonial">';
		$content .= '<li>';
		foreach($posts as $post) : setup_postdata($post);
		$c = $count++;
				$content .= '		
						<div class="col-md-6 col-sm-6">
							<!-- .single-testimonials -->
							<div class="single-testimonials">
								<img class="quote" src="'.get_template_directory_uri().'/images/icons/quote.png" alt="quote" />
								<blockquote>'.get_the_content().'</blockquote>
								<span>' . esc_html($post->post_title) . '</span>
							</div>';
			$content .= '</div>';	
		if($c % 2 == 0){
			$content .= '</li>';
			$content .= '<li>';
		}
		endforeach;
		$content .= '</li>';
	$content .= '</ul>';
	$content .= '</div>';
	wp_reset_postdata();
	wp_reset_query();	
  return $content;  
}
add_shortcode("listio_testimonials", "listio_testimonials");

/*-------------------------------------
| AGENTS 
|-------------------------------------*/
function listio_agents($atts, $content = null)
{
	extract( shortcode_atts( array(
		'post_count' => '',
	), $atts ) ); 

	$args = array(
			'posts_per_page'   => $post_count,
			'post_type'        => 'agent',
			'orderby'          => 'post_date',
			'order'            => 'DESC',
			'meta_key'         => 'agent_featured',
			'meta_value'       => '1',
			'suppress_filters' => false,
			'post_status'      => 'publish' );
	$posts = get_posts($args);
	$content .= '<div class="team-member-area">';
	foreach($posts as $post) : setup_postdata($post);
		$avatar = get_post_meta($post->ID, 'agent_avatar', true);
		if($avatar != '') {
			$avatar_src = $avatar;
		} else {
			$avatar_src = get_template_directory_uri().'/images/avatar.png';
		}
		$email = get_post_meta($post->ID, 'agent_email', true);
		$facebook = get_post_meta($post->ID, 'agent_facebook', true);
		$twitter = get_post_meta($post->ID, 'agent_twitter', true);
		$google = get_post_meta($post->ID, 'agent_google', true);
		$linkedin = get_post_meta($post->ID, 'agent_linkedin', true);
		//$specs = get_post_meta($post->ID, 'agent_specs', true);
		if(intval($post_count) % 4 == 0) {
			$content .= '<div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">';
		} else if(intval($post_count) % 3 == 0) {
			$content .= '<div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">';
		} else if(intval($post_count) == 2) {
			$content .= '<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">';
		} else if(intval($post_count) == 1) {
			$content .= '<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">';
		} else {
			$content .= '<div class="col-xs-12 col-sm-6 col-md-3 col-lg-3">';
		}
        global $listio_settings;		
			$content .= '<div class="single-team-member sm">';
			$content .= '<a href="' . esc_url(get_permalink($post->ID)) . '" class="agent-avatar"><img src="' . esc_url($avatar_src) . '" alt="' . esc_attr($post->post_title) . '" /></a>';
			$content .= '<div class="stm-bottom">
						<h4>' . esc_attr($post->post_title) . '</h4>';
			$agent_reviews = isset($listio_settings['agent_reviews']) ? $listio_settings['agent_reviews'] : '';
			if($agent_reviews != '') {
				$content .= ''.listio_display_agent_rating(listio_get_agent_ratings($post->ID), false).'';
			}
			$content .= '<p>'.content(15).'</p>
				<ul class="agent-social">';
					if($facebook && $facebook != '') {
						$content .= '<li><a href="' . esc_url($facebook) . '"><i class="fa fa-facebook-official" aria-hidden="true"></i></a></li>';	
					}
					if($twitter && $twitter != '') {
						$content .= '<li><a href="' . esc_url($twitter) . '"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>';
					}
					if($google && $google != '') {
						$content .= '<li><a href="' . esc_url($google) . '"><i class="fa fa-google-plus" aria-hidden="true"></i></a></li>';
					}
					if($linkedin && $linkedin != '') {
						$content .= '<li><a href="' . esc_url($linkedin) . '"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>';
					}								
	$content .= '</ul>
			</div>
		</div>
	</div>';
					
	endforeach;
	$content .= '</div>';
	wp_reset_postdata();
	wp_reset_query();	
  return $content;  
}
add_shortcode("listio_agents", "listio_agents");